* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}

body {
  display: flex;
  justify-content: center;
  height: 100vh;
}

.container {
  display: flex;
  flex-direction: column;
  gap: 15px;

  margin: 20px 0;
  background-color: white;

  width: 100%;
  max-width: 450px;
  padding: 20px 30px;

  border-radius: 15px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}

h1 {
  text-align: center;
  color: #333;
}

.input-group {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}

#todo-input {
  flex: 1;
  padding: 12px;
  border: 1px solid #ddd;
  border-radius: 8px;
  outline: none;
}

button {
  cursor: pointer;
  border: none;
  border-radius: 8px;
  font-weight: 600;
  transition: 0.4s;
}

.btn-add {
  background-color: #007bff;
  color: white;
  padding: 10px 15px;
  height: 40px;
}

.btn-add:hover {
  background-color: #0056b3;
}

.todo-list {
  flex: 1;
  list-style: none;
  overflow-y: auto;
}

li {
  display: flex;
  align-items: center;
  background-color: #fff;
  border-bottom: 1px solid #eee;
  padding: 10px 5px;
  gap: 10px;
}

li input {
  flex: 1;
  padding: 2.4px;
  border-radius: 4px;
}

li span {
  flex: 1;
  font-size: 1rem;
  white-space: nowrap; /* Cấm xuống dòng*/
  overflow: hidden;
  text-overflow: ellipsis; /* Thêm dấu 3 chấm*/
}

.btn-edit {
  background-color: #ffc107;
  color: #333;
  padding: 5px 10px;
  font-size: 12px;
}

.btn-delete {
  background-color: #ff4d4d;
  color: white;
  padding: 5px 10px;
  font-size: 12px;
}

.btn-delete:hover {
  background-color: #cc0000;
}

.btn-clear {
  padding: 10px;
  background-color: #e00000;
  color: #ffffff;
  font-size: 1.1rem;
}

.btn-clear:hover {
  background-color: rgb(111, 15, 15);
}

/* Customize Scroll */
/* 1. Độ rộng của thanh cuộn */
.todo-list::-webkit-scrollbar {
  width: 3px;
}

/* 2. Màu nền của rãnh cuộn (Track) */
.todo-list::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 4px;
}

/* 3. Thanh kéo (Thumb) - Cái cục di chuyển */
.todo-list::-webkit-scrollbar-thumb {
  background: #666565; /* Màu xám nhẹ */
  border-radius: 4px; /* Bo tròn cục kéo */
}
